ru.bitel.bgbilling.plugins.bonus.server.bean

## Class BonusTreeNode

- java.lang.Object
- - ru.bitel.bgbilling.plugins.bonus.server.bean.BonusTreeNode

- All Implemented Interfaces:
    ru.bitel.bgbilling.kernel.contract.plugin.PluginTreeNodeInterface

      public class BonusTreeNode
      extends java.lang.Object
      implements ru.bitel.bgbilling.kernel.contract.plugin.PluginTreeNodeInterface

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BonusTreeNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTitle(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int cid)`
    `java.lang.String` | `getValue(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int cid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BonusTreeNode

          public BonusTreeNode()

  - ### Method Detail

    - #### getTitle

          public java.lang.String getTitle(ru.bitel.bgbilling.kernel.container.managed.ServerContext context,
                                           int cid)
                                    throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `getTitle` in interface `ru.bitel.bgbilling.kernel.contract.plugin.PluginTreeNodeInterface`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getValue

          public java.lang.String getValue(ru.bitel.bgbilling.kernel.container.managed.ServerContext context,
                                           int cid)
                                    throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `getValue` in interface `ru.bitel.bgbilling.kernel.contract.plugin.PluginTreeNodeInterface`
      Throws:
        `ru.bitel.bgbilling.common.BGException`